# $Revision: 1.3.2.2 $, $Date: 2003/04/28 12:51:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Want
Summary:	Want - A generalisation of "wantarray"
Summary(pl):	Want - Generalizacja funkcji wantarray()
Name:		perl-Want
Version:	0.05
Release:	2
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/R/RO/ROBIN/%{pdir}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(v5.6)'

%description
This module generalises the mechanism of the wantarray function, allowing
a function to determine in some detail how its return value is going to
be immediately used.

%description -l pl
Ten modu generalizuje mechanizm funkcji wantarray, pozwalajc funkcjom
na okrelenie niektrych szczegw tego, w jaki sposb uywane bd
zwracane przez nie wartoci.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitearch}/*.pm
%dir %{perl_sitearch}/auto/Want
%{perl_sitearch}/auto/Want/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Want/*.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Want.spec,v $
Revision 1.3.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.3.2.1  2003/03/13 00:59:24  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:39:11  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/29 12:33:00  radek
- new, STBR

